Neue PHP-Versionen verfügbar

23.12.2017 02:26:42

Mit PHP 7.2.0 wurde in den verganenen Wochen bereits das zweite Feature-Update für den PHP7 Zweig veröffentlicht. Grund genug endlich auch PHP 7.1 mit in das Programm aufzunehmen. 7.1 wurde lange Zeit zurück gehalten wegen des anfänglich nicht verfügbaren ionCube-Loaders und geriet später in Vergessenheit. Mit PHP 7.2.0 wurde aber auch bereits ein funktionierender ionCube-Loader veröffentlicht, so dass wir direkt mit der ersten Veröffentlichung alles anbieten können. Alle Versionen stehen als FastCGI Version zur Verfügung, aufgrund der immer weiter anhaltenden Problematik mit abgestürzten PHP-FPM-Prozessen. Trotz der kleinen Vorteile von PHP-FPM steigen wir damit großflächig auf FastCGI um und neue Versionen wird es nur noch in dieser Variante geben. Stabiliere Systeme sind erheblich wichtiger als die wenigen Vorteile die FPM gegenüber FastCGI bietet.

Für den alten 5er Zweig wurde das Sicherheitsupdate 5.6.32 bereit gestellt, auch dieses wurde als FastCGI-Version installiert. Bitte beachten Sie aber, dass PHP 5.6.32 bereits nicht mehr aktiv entwickelt wird. Bis Ende 2018 werden noch Sicherheitsupdates bereit gestellt. Anschließend muss eine Umstellung auf eine neuere PHP7er Version erfolgen. Viele heutige Software ist immer noch nicht mit PHP7 kompatibel. Es empfielt sich eine Umstellung bereits früh im Jahr durchzuführen um genügend Zeit für eventuell notwendige Änderungen zu haben.